memchr(3)

NAME
memchr, memrchr - scan memory for a character

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>

void *memchr(size_t n;
             const void s[n], int c, size_t n);
void *memrchr(size_t n;
             const void s[n], int c, size_t n);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

memrchr():
    _GNU_SOURCE

DESCRIPTION
The memchr() function scans the initial n bytes of the memory area pointed to by s for the first instance of c. Both c and the bytes of the memory area pointed to by s are interpreted as unsigned char.

The memrchr() function is like the memchr() function, except that it searches backward from the end of the n bytes pointed to by s instead of forward from the beginning.

RETURN VALUE
The memchr() and memrchr() functions return a pointer to the matching byte or NULL if the character does not occur in the given memory area.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS

memchr()
    C11, POSIX.1-2008.

memrchr()
    GNU.

HISTORY

memchr()
    POSIX.1-2001, C89, SVr4, 4.3BSD.

memrchr()
    glibc 2.2.

SEE ALSO
bstring(3), ffs(3), memmem(3), strchr(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), wmemchr(3)